Supported Engines and Minimum Versions

Where can I use MAS?

You may use MAS with any mobile game or app on the Google Play or Apple App Store.

As of now the MAS SDK officially supports 5 tools for game creation: Unity, Native Android, Native iOS, and Godot.

MAS for Unity

This plugin is for games that run as mobile apps on iOS or Android and were built using the Unity Engine.

IMPORTANT!  MAS supports Unity 2017.4.37f1+ LTS version, 2018 and 2019 common maintained LTS  Unity version.

MAS for Android

This plugin is designed for games and apps that run on Android phones but were not built using Unity. Any game engine or framework that allows you to build an Android app is eligible to use the Android SDK.  It is implemented in Java.

IMPORTANT!  MAS supports Android version 4.4 (Android API level: 19) and above.

 MAS for IOS

This plugin is designed for games and apps that run on iOS but were not built using Unity. Any game engine or framework that allows you to build an app for iOS is eligible to use the iOS SDK. It is implemented in Objective C.

IMPORTANT!  MAS supports iOS 9.0+ and Xcode 12.+.

MAS for Godot

This plugin is for games that run as mobile apps on iOS or Android and were built using the Godot Engine. Currently, MAS supports Godot 3.2 and above.

Updated on August 25, 2021

Was this article helpful?

Related Articles